package edu.travel.commodity.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import edu.travel.commodity.entity.ShopProductSku;
import edu.travel.commodity.vo.SortSpecVo;
import edu.travel.commodity.vo.SpecVo;

import java.util.List;
import java.util.Set;

public interface ShopProductSkuMapper extends BaseMapper<ShopProductSku> {

    List<SpecVo> getSkuValuesById(Set<String> skuId);

    List<SortSpecVo> getValuesByProductIds(Set<String> shopProductSkuIds);
}