package edu.travel.commodity.utils;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.BeanUtils;

public class PageUtil{

    /**
     * Page类型entity转换
     * @param source
     * @param type
     * @return
     */
    public static <T,E> Page<E> toPageEntity(Page<T> source, Class<E> type) {
        Page<E> target = new Page<E>();
        BeanUtils.copyProperties(source, target);
        target.setRecords(BeanUtil.copyToList(source.getRecords(), type));
        return target;
    }

}
