package edu.travel.country.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import edu.travel.country.entity.BaseCountryServe;
import edu.travel.dto.BaseCountryServeDto;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.vo.BaseCountryServeVo;

import java.util.List;

public interface BaseCountryServeService extends IService<BaseCountryServe>{

    //分页
    RPCBaseResponse<IPage<BaseCountryServeVo>> getCountryServePage(BaseCountryServeDto dto);
//服务国家树
    RPCBaseResponse<List<BaseCountryServeVo>> getCountryServeTree();
}
